﻿/*
 * tft144_fonts.h
 *
 *  Created on: May 27, 2016
 *      Author: ehsan
 */

#ifndef TFT144_FONTS_H_
#define TFT144_FONTS_H_

#include <avr/pgmspace.h>

/* Fonts generated with MikroElectronica GLCD Font Creator XLibLCD
 * I just removed first byte for every character(first column of 2D array) because no use for this library.
 * And added {width,height,offset} bytes at first of font array
 *
 * If you want to add other fonts, you should add them to fontlib[] array too, remember to add PROGMEM macro for your font
 */

// width,height,offset_character, font data...
const unsigned short Terminal4x6[] PROGMEM = {4,6,32,
        0x00, 0x00, 0x00, 0x00,                  // Code for char
        0x00, 0x00, 0x17, 0x00,                  // Code for char !
        0x00, 0x03, 0x00, 0x03,                  // Code for char "
        0x00, 0x1F, 0x0A, 0x1F,                  // Code for char #
        0x00, 0x14, 0x3F, 0x0A,                  // Code for char $
        0x00, 0x09, 0x04, 0x12,                  // Code for char %
        0x00, 0x1A, 0x15, 0x1E,                  // Code for char &
        0x00, 0x03, 0x01, 0x00,                  // Code for char '
        0x00, 0x0E, 0x11, 0x00,                  // Code for char (
        0x00, 0x11, 0x0E, 0x00,                  // Code for char )
        0x00, 0x15, 0x0E, 0x15,                  // Code for char *
        0x00, 0x04, 0x0E, 0x04,                  // Code for char +
        0x00, 0x30, 0x10, 0x00,                  // Code for char ,
        0x00, 0x04, 0x04, 0x04,                  // Code for char -
        0x00, 0x00, 0x10, 0x00,                  // Code for char .
        0x10, 0x08, 0x04, 0x02,                  // Code for char /
        0x00, 0x1F, 0x11, 0x1F,                  // Code for char 0
        0x00, 0x12, 0x1F, 0x10,                  // Code for char 1
        0x00, 0x19, 0x15, 0x13,                  // Code for char 2
        0x00, 0x11, 0x15, 0x0A,                  // Code for char 3
        0x00, 0x07, 0x04, 0x1F,                  // Code for char 4
        0x00, 0x17, 0x15, 0x0D,                  // Code for char 5
        0x00, 0x1F, 0x15, 0x1C,                  // Code for char 6
        0x00, 0x01, 0x1D, 0x03,                  // Code for char 7
        0x00, 0x1F, 0x15, 0x1F,                  // Code for char 8
        0x00, 0x07, 0x15, 0x1F,                  // Code for char 9
        0x00, 0x00, 0x14, 0x00,                  // Code for char :
        0x00, 0x30, 0x14, 0x00,                  // Code for char ;
        0x00, 0x04, 0x0A, 0x11,                  // Code for char <
        0x00, 0x14, 0x14, 0x14,                  // Code for char =
        0x00, 0x11, 0x0A, 0x04,                  // Code for char >
        0x00, 0x01, 0x15, 0x02,                  // Code for char ?
        0x00, 0x1F, 0x11, 0x17,                  // Code for char @
        0x00, 0x1E, 0x05, 0x1E,                  // Code for char A
        0x00, 0x1F, 0x15, 0x0A,                  // Code for char B
        0x00, 0x0E, 0x11, 0x11,                  // Code for char C
        0x00, 0x1F, 0x11, 0x0E,                  // Code for char D
        0x00, 0x1F, 0x15, 0x11,                  // Code for char E
        0x00, 0x1F, 0x05, 0x01,                  // Code for char F
        0x00, 0x0E, 0x11, 0x1D,                  // Code for char G
        0x00, 0x1F, 0x04, 0x1F,                  // Code for char H
        0x00, 0x11, 0x1F, 0x11,                  // Code for char I
        0x00, 0x08, 0x10, 0x0F,                  // Code for char J
        0x00, 0x1F, 0x04, 0x1B,                  // Code for char K
        0x00, 0x1F, 0x10, 0x10,                  // Code for char L
        0x00, 0x1F, 0x06, 0x1F,                  // Code for char M
        0x00, 0x1F, 0x02, 0x1F,                  // Code for char N
        0x00, 0x0E, 0x11, 0x0E,                  // Code for char O
        0x00, 0x1F, 0x05, 0x02,                  // Code for char P
        0x00, 0x0E, 0x19, 0x1E,                  // Code for char Q
        0x00, 0x1F, 0x05, 0x1A,                  // Code for char R
        0x00, 0x16, 0x15, 0x0D,                  // Code for char S
        0x00, 0x01, 0x1F, 0x01,                  // Code for char T
        0x00, 0x1F, 0x10, 0x1F,                  // Code for char U
        0x00, 0x0F, 0x10, 0x0F,                  // Code for char V
        0x00, 0x1F, 0x0C, 0x1F,                  // Code for char W
        0x00, 0x1B, 0x04, 0x1B,                  // Code for char X
        0x00, 0x03, 0x1C, 0x03,                  // Code for char Y
        0x00, 0x19, 0x15, 0x13,                  // Code for char Z
        0x00, 0x1F, 0x11, 0x00,                  // Code for char [
        0x00, 0x03, 0x04, 0x18,                  // Code for char BackSlash
        0x00, 0x11, 0x1F, 0x00,                  // Code for char ]
        0x00, 0x02, 0x01, 0x02,                  // Code for char ^
        0x20, 0x20, 0x20, 0x20,                  // Code for char _
        0x00, 0x01, 0x03, 0x00,                  // Code for char `
        0x00, 0x18, 0x14, 0x1C,                  // Code for char a
        0x00, 0x1F, 0x14, 0x08,                  // Code for char b
        0x00, 0x08, 0x14, 0x14,                  // Code for char c
        0x00, 0x08, 0x14, 0x1F,                  // Code for char d
        0x00, 0x0C, 0x1C, 0x14,                  // Code for char e
        0x00, 0x04, 0x1E, 0x05,                  // Code for char f
        0x00, 0x2C, 0x24, 0x3C,                  // Code for char g
        0x00, 0x1F, 0x04, 0x18,                  // Code for char h
        0x00, 0x00, 0x1D, 0x00,                  // Code for char i
        0x00, 0x20, 0x3D, 0x00,                  // Code for char j
        0x00, 0x1F, 0x08, 0x14,                  // Code for char k
        0x00, 0x00, 0x1F, 0x00,                  // Code for char l
        0x00, 0x1C, 0x0C, 0x1C,                  // Code for char m
        0x00, 0x1C, 0x04, 0x18,                  // Code for char n
        0x00, 0x08, 0x14, 0x08,                  // Code for char o
        0x00, 0x3C, 0x14, 0x08,                  // Code for char p
        0x00, 0x08, 0x14, 0x3C,                  // Code for char q
        0x00, 0x1C, 0x04, 0x00,                  // Code for char r
        0x00, 0x10, 0x1C, 0x04,                  // Code for char s
        0x00, 0x04, 0x1E, 0x14,                  // Code for char t
        0x00, 0x1C, 0x10, 0x1C,                  // Code for char u
        0x00, 0x0C, 0x10, 0x0C,                  // Code for char v
        0x00, 0x1C, 0x18, 0x1C,                  // Code for char w
        0x00, 0x14, 0x08, 0x14,                  // Code for char x
        0x00, 0x2C, 0x10, 0x0C,                  // Code for char y
        0x00, 0x04, 0x1C, 0x10,                  // Code for char z
        0x00, 0x04, 0x1F, 0x11,                  // Code for char {
        0x00, 0x00, 0x1F, 0x00,                  // Code for char |
        0x00, 0x11, 0x1F, 0x04,                  // Code for char }
        0x02, 0x01, 0x02, 0x01,                  // Code for char ~
        0x00, 0x0C, 0x0A, 0x0C                   // Code for char 
        };

const unsigned short Terminal6x8[] PROGMEM = {6,8,32,
		0x00, 0x00, 0x00, 0x00, 0x00, 0x00,      // Code for char SP
		0x00, 0x00, 0x06, 0x5F, 0x06, 0x00,      // Code for char !
		0x00, 0x07, 0x03, 0x00, 0x07, 0x03,      // Code for char "
		0x00, 0x24, 0x7E, 0x24, 0x7E, 0x24,      // Code for char #
		0x00, 0x24, 0x2B, 0x6A, 0x12, 0x00,      // Code for char $
		0x00, 0x63, 0x13, 0x08, 0x64, 0x63,      // Code for char %
		0x00, 0x36, 0x49, 0x56, 0x20, 0x50,      // Code for char &
		0x00, 0x00, 0x07, 0x03, 0x00, 0x00,      // Code for char '
		0x00, 0x00, 0x3E, 0x41, 0x00, 0x00,      // Code for char (
		0x00, 0x00, 0x41, 0x3E, 0x00, 0x00,      // Code for char )
		0x00, 0x08, 0x3E, 0x1C, 0x3E, 0x08,      // Code for char *
		0x00, 0x08, 0x08, 0x3E, 0x08, 0x08,      // Code for char +
		0x00, 0x00, 0xE0, 0x60, 0x00, 0x00,      // Code for char ,
		0x00, 0x08, 0x08, 0x08, 0x08, 0x08,      // Code for char -
		0x00, 0x00, 0x60, 0x60, 0x00, 0x00,      // Code for char .
		0x00, 0x20, 0x10, 0x08, 0x04, 0x02,      // Code for char /
		0x00, 0x3E, 0x51, 0x49, 0x45, 0x3E,      // Code for char 0
		0x00, 0x00, 0x42, 0x7F, 0x40, 0x00,      // Code for char 1
		0x00, 0x62, 0x51, 0x49, 0x49, 0x46,      // Code for char 2
		0x00, 0x22, 0x49, 0x49, 0x49, 0x36,      // Code for char 3
		0x00, 0x18, 0x14, 0x12, 0x7F, 0x10,      // Code for char 4
		0x00, 0x2F, 0x49, 0x49, 0x49, 0x31,      // Code for char 5
		0x00, 0x3C, 0x4A, 0x49, 0x49, 0x30,      // Code for char 6
		0x00, 0x01, 0x71, 0x09, 0x05, 0x03,      // Code for char 7
		0x00, 0x36, 0x49, 0x49, 0x49, 0x36,      // Code for char 8
		0x00, 0x06, 0x49, 0x49, 0x29, 0x1E,      // Code for char 9
		0x00, 0x00, 0x6C, 0x6C, 0x00, 0x00,      // Code for char :
		0x00, 0x00, 0xEC, 0x6C, 0x00, 0x00,      // Code for char ;
		0x00, 0x08, 0x14, 0x22, 0x41, 0x00,      // Code for char <
		0x00, 0x24, 0x24, 0x24, 0x24, 0x24,      // Code for char =
		0x00, 0x00, 0x41, 0x22, 0x14, 0x08,      // Code for char >
		0x00, 0x02, 0x01, 0x59, 0x09, 0x06,      // Code for char ?
		0x00, 0x3E, 0x41, 0x5D, 0x55, 0x1E,      // Code for char @
		0x00, 0x7E, 0x11, 0x11, 0x11, 0x7E,      // Code for char A
		0x00, 0x7F, 0x49, 0x49, 0x49, 0x36,      // Code for char B
		0x00, 0x3E, 0x41, 0x41, 0x41, 0x22,      // Code for char C
		0x00, 0x7F, 0x41, 0x41, 0x41, 0x3E,      // Code for char D
		0x00, 0x7F, 0x49, 0x49, 0x49, 0x41,      // Code for char E
		0x00, 0x7F, 0x09, 0x09, 0x09, 0x01,      // Code for char F
		0x00, 0x3E, 0x41, 0x49, 0x49, 0x7A,      // Code for char G
		0x00, 0x7F, 0x08, 0x08, 0x08, 0x7F,      // Code for char H
		0x00, 0x00, 0x41, 0x7F, 0x41, 0x00,      // Code for char I
		0x00, 0x30, 0x40, 0x40, 0x40, 0x3F,      // Code for char J
		0x00, 0x7F, 0x08, 0x14, 0x22, 0x41,      // Code for char K
		0x00, 0x7F, 0x40, 0x40, 0x40, 0x40,      // Code for char L
		0x00, 0x7F, 0x02, 0x04, 0x02, 0x7F,      // Code for char M
		0x00, 0x7F, 0x02, 0x04, 0x08, 0x7F,      // Code for char N
		0x00, 0x3E, 0x41, 0x41, 0x41, 0x3E,      // Code for char O
		0x00, 0x7F, 0x09, 0x09, 0x09, 0x06,      // Code for char P
		0x00, 0x3E, 0x41, 0x51, 0x21, 0x5E,      // Code for char Q
		0x00, 0x7F, 0x09, 0x09, 0x19, 0x66,      // Code for char R
		0x00, 0x26, 0x49, 0x49, 0x49, 0x32,      // Code for char S
		0x00, 0x01, 0x01, 0x7F, 0x01, 0x01,      // Code for char T
		0x00, 0x3F, 0x40, 0x40, 0x40, 0x3F,      // Code for char U
		0x00, 0x1F, 0x20, 0x40, 0x20, 0x1F,      // Code for char V
		0x00, 0x3F, 0x40, 0x3C, 0x40, 0x3F,      // Code for char W
		0x00, 0x63, 0x14, 0x08, 0x14, 0x63,      // Code for char X
		0x00, 0x07, 0x08, 0x70, 0x08, 0x07,      // Code for char Y
		0x00, 0x71, 0x49, 0x45, 0x43, 0x00,      // Code for char Z
		0x00, 0x00, 0x7F, 0x41, 0x41, 0x00,      // Code for char [
		0x00, 0x02, 0x04, 0x08, 0x10, 0x20,      // Code for char BackSlash
		0x00, 0x00, 0x41, 0x41, 0x7F, 0x00,      // Code for char ]
		0x00, 0x04, 0x02, 0x01, 0x02, 0x04,      // Code for char ^
		0x80, 0x80, 0x80, 0x80, 0x80, 0x80,      // Code for char _
		0x00, 0x00, 0x03, 0x07, 0x00, 0x00,      // Code for char `
		0x00, 0x20, 0x54, 0x54, 0x54, 0x78,      // Code for char a
		0x00, 0x7F, 0x44, 0x44, 0x44, 0x38,      // Code for char b
		0x00, 0x38, 0x44, 0x44, 0x44, 0x28,      // Code for char c
		0x00, 0x38, 0x44, 0x44, 0x44, 0x7F,      // Code for char d
		0x00, 0x38, 0x54, 0x54, 0x54, 0x08,      // Code for char e
		0x00, 0x08, 0x7E, 0x09, 0x09, 0x00,      // Code for char f
		0x00, 0x18, 0xA4, 0xA4, 0xA4, 0x7C,      // Code for char g
		0x00, 0x7F, 0x04, 0x04, 0x78, 0x00,      // Code for char h
		0x00, 0x00, 0x00, 0x7D, 0x40, 0x00,      // Code for char i
		0x00, 0x40, 0x80, 0x84, 0x7D, 0x00,      // Code for char j
		0x00, 0x7F, 0x10, 0x28, 0x44, 0x00,      // Code for char k
		0x00, 0x00, 0x00, 0x7F, 0x40, 0x00,      // Code for char l
		0x00, 0x7C, 0x04, 0x18, 0x04, 0x78,      // Code for char m
		0x00, 0x7C, 0x04, 0x04, 0x78, 0x00,      // Code for char n
		0x00, 0x38, 0x44, 0x44, 0x44, 0x38,      // Code for char o
		0x00, 0xFC, 0x44, 0x44, 0x44, 0x38,      // Code for char p
		0x00, 0x38, 0x44, 0x44, 0x44, 0xFC,      // Code for char q
		0x00, 0x44, 0x78, 0x44, 0x04, 0x08,      // Code for char r
		0x00, 0x08, 0x54, 0x54, 0x54, 0x20,      // Code for char s
		0x00, 0x04, 0x3E, 0x44, 0x24, 0x00,      // Code for char t
		0x00, 0x3C, 0x40, 0x20, 0x7C, 0x00,      // Code for char u
		0x00, 0x1C, 0x20, 0x40, 0x20, 0x1C,      // Code for char v
		0x00, 0x3C, 0x60, 0x30, 0x60, 0x3C,      // Code for char w
		0x00, 0x6C, 0x10, 0x10, 0x6C, 0x00,      // Code for char x
		0x00, 0x9C, 0xA0, 0x60, 0x3C, 0x00,      // Code for char y
		0x00, 0x64, 0x54, 0x54, 0x4C, 0x00,      // Code for char z
		0x00, 0x08, 0x3E, 0x41, 0x41, 0x00,      // Code for char {
		0x00, 0x00, 0x00, 0x77, 0x00, 0x00,      // Code for char |
		0x00, 0x00, 0x41, 0x41, 0x3E, 0x08,      // Code for char }
		0x00, 0x02, 0x01, 0x02, 0x01, 0x00,      // Code for char ~
		0x00, 0x3C, 0x26, 0x23, 0x26, 0x3C       // Code for char 
		};

const unsigned short Terminal8x12[] PROGMEM = {8,12,32,
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char
        0x00, 0x00, 0x1C, 0x00, 0x7E, 0x03, 0x7E, 0x03, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char !
        0x00, 0x00, 0x0E, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x0E, 0x00, 0x00, 0x00,  // Code for char "
        0x88, 0x00, 0xFE, 0x03, 0xFE, 0x03, 0x88, 0x00, 0xFE, 0x03, 0xFE, 0x03, 0x88, 0x00, 0x00, 0x00,  // Code for char #
        0x18, 0x01, 0x3C, 0x01, 0x27, 0x07, 0x27, 0x07, 0xE4, 0x01, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char $
        0x18, 0x03, 0x98, 0x01, 0xC0, 0x00, 0x60, 0x00, 0x30, 0x03, 0x18, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char %
        0xEC, 0x01, 0xFE, 0x03, 0x32, 0x02, 0x7E, 0x03, 0xEC, 0x01, 0xC0, 0x03, 0x60, 0x02, 0x00, 0x00,  // Code for char &
        0x00, 0x00, 0x10, 0x00, 0x1E, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char '
        0x00, 0x00, 0x70, 0x00, 0xF8, 0x00, 0x8C, 0x01, 0x06, 0x03, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00,  // Code for char (
        0x00, 0x00, 0x02, 0x02, 0x06, 0x03, 0x8C, 0x01, 0xF8, 0x00, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char )
        0x20, 0x00, 0xA8, 0x00, 0xF8, 0x00, 0x70, 0x00, 0x70, 0x00, 0xF8, 0x00, 0xA8, 0x00, 0x20, 0x00,  // Code for char *
        0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0xF8, 0x00, 0xF8, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x00,  // Code for char +
        0x00, 0x00, 0x00, 0x04, 0x00, 0x07, 0x00, 0x03, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char ,
        0x20, 0x00, 0x20, 0x00, 0x20, 0x00, 0x20, 0x00, 0x20, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x00,  // Code for char -
        0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x03, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char .
        0x00, 0x03, 0x80, 0x01, 0xC0, 0x00, 0x60, 0x00, 0x30, 0x00, 0x18, 0x00, 0x0C, 0x00, 0x00, 0x00,  // Code for char /
        0xFC, 0x01, 0xFE, 0x03, 0xC2, 0x02, 0x72, 0x02, 0x1A, 0x02, 0xFE, 0x03, 0xFC, 0x01, 0x00, 0x00,  // Code for char 0
        0x08, 0x02, 0x08, 0x02, 0xFC, 0x03, 0xFE, 0x03, 0x00, 0x02, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00,  // Code for char 1
        0x0C, 0x03, 0x8E, 0x03, 0xC2, 0x02, 0x62, 0x02, 0x3E, 0x03, 0x1C, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char 2
        0x04, 0x01, 0x06, 0x03, 0x22, 0x02, 0x22, 0x02, 0xFE, 0x03, 0xDC, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char 3
        0x60, 0x00, 0x70, 0x00, 0x58, 0x00, 0x4C, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x40, 0x02, 0x00, 0x00,  // Code for char 4
        0x3E, 0x01, 0x3E, 0x03, 0x22, 0x02, 0x22, 0x02, 0xE2, 0x03, 0xC2, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char 5
        0xF8, 0x01, 0xFC, 0x03, 0x26, 0x02, 0x22, 0x02, 0xE2, 0x03, 0xC0, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char 6
        0x0E, 0x00, 0x0E, 0x00, 0x82, 0x03, 0xC2, 0x03, 0x62, 0x00, 0x3E, 0x00, 0x1E, 0x00, 0x00, 0x00,  // Code for char 7
        0xDC, 0x01, 0xFE, 0x03, 0x32, 0x02, 0x62, 0x02, 0xFE, 0x03, 0xDC, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char 8
        0x1C, 0x00, 0x3E, 0x02, 0x22, 0x03, 0xE2, 0x03, 0xFE, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char 9
        0x00, 0x00, 0x00, 0x00, 0x98, 0x01, 0x98, 0x01, 0x98, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char :
        0x00, 0x00, 0x00, 0x00, 0x98, 0x05, 0x98, 0x07, 0x98, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char ;
        0x20, 0x00, 0x70, 0x00, 0xD8, 0x00, 0x8C, 0x01, 0x06, 0x03, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00,  // Code for char <
        0x00, 0x00, 0x50, 0x00, 0x50, 0x00, 0x50, 0x00, 0x50, 0x00, 0x50, 0x00, 0x50, 0x00, 0x00, 0x00,  // Code for char =
        0x00, 0x00, 0x02, 0x02, 0x06, 0x03, 0x8C, 0x01, 0xD8, 0x00, 0x70, 0x00, 0x20, 0x00, 0x00, 0x00,  // Code for char >
        0x04, 0x00, 0x06, 0x00, 0x62, 0x03, 0x72, 0x03, 0x1E, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char ?
        0xFC, 0x01, 0xFE, 0x03, 0x02, 0x02, 0x72, 0x02, 0x72, 0x02, 0x7E, 0x02, 0x7C, 0x00, 0x00, 0x00,  // Code for char @
        0xF8, 0x03, 0xFC, 0x03, 0x46, 0x00, 0x46, 0x00, 0xFC, 0x03, 0xF8, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char A
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x22, 0x02, 0x22, 0x02, 0xFE, 0x03, 0xDC, 0x01, 0x00, 0x00,  // Code for char B
        0xF8, 0x00, 0xFC, 0x01, 0x06, 0x03, 0x02, 0x02, 0x02, 0x02, 0x8E, 0x03, 0x8C, 0x01, 0x00, 0x00,  // Code for char C
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x02, 0x02, 0x06, 0x03, 0xFC, 0x01, 0xF8, 0x00, 0x00, 0x00,  // Code for char D
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x22, 0x02, 0x22, 0x02, 0x72, 0x02, 0x06, 0x03, 0x00, 0x00,  // Code for char E
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x22, 0x02, 0x22, 0x00, 0x76, 0x00, 0x0E, 0x00, 0x00, 0x00,  // Code for char F
        0xF8, 0x00, 0xFC, 0x01, 0x06, 0x03, 0x02, 0x02, 0x42, 0x02, 0xCE, 0x03, 0xCC, 0x03, 0x00, 0x00,  // Code for char G
        0xFE, 0x03, 0xFE, 0x03, 0x20, 0x00, 0x20, 0x00, 0xFE, 0x03, 0xFE, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char H
        0x00, 0x00, 0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char I
        0xC0, 0x01, 0xC0, 0x03, 0x00, 0x02, 0x02, 0x02, 0xFE, 0x03, 0xFE, 0x01, 0x02, 0x00, 0x00, 0x00,  // Code for char J
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x20, 0x00, 0xF8, 0x00, 0xDE, 0x03, 0x06, 0x03, 0x00, 0x00,  // Code for char K
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x02, 0x02, 0x00, 0x02, 0x80, 0x03, 0xC0, 0x03, 0x00, 0x00,  // Code for char L
        0xFE, 0x03, 0xFE, 0x03, 0x1C, 0x00, 0x38, 0x00, 0x1C, 0x00, 0xFE, 0x03, 0xFE, 0x03, 0x00, 0x00,  // Code for char M
        0xFE, 0x03, 0xFE, 0x03, 0x38, 0x00, 0x70, 0x00, 0xE0, 0x00, 0xFE, 0x03, 0xFE, 0x03, 0x00, 0x00,  // Code for char N
        0xF8, 0x00, 0xFC, 0x01, 0x06, 0x03, 0x02, 0x02, 0x06, 0x03, 0xFC, 0x01, 0xF8, 0x00, 0x00, 0x00,  // Code for char O
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x22, 0x02, 0x22, 0x00, 0x3E, 0x00, 0x1C, 0x00, 0x00, 0x00,  // Code for char P
        0xF8, 0x00, 0xFC, 0x01, 0x06, 0x01, 0x82, 0x05, 0xC6, 0x07, 0xFC, 0x07, 0xF8, 0x04, 0x00, 0x00,  // Code for char Q
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x22, 0x00, 0x62, 0x00, 0xFE, 0x03, 0x9C, 0x03, 0x00, 0x00,  // Code for char R
        0x9C, 0x01, 0xBE, 0x03, 0x22, 0x02, 0x62, 0x02, 0xCE, 0x03, 0x8C, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char S
        0x06, 0x00, 0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x02, 0x02, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char T
        0xFE, 0x01, 0xFE, 0x03, 0x00, 0x02, 0x00, 0x02, 0xFE, 0x03, 0xFE, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char U
        0xFE, 0x00, 0xFE, 0x01, 0x00, 0x03, 0x00, 0x03, 0xFE, 0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char V
        0x7E, 0x00, 0xFE, 0x03, 0x80, 0x03, 0x60, 0x00, 0x80, 0x03, 0xFE, 0x03, 0x7E, 0x00, 0x00, 0x00,  // Code for char W
        0x8E, 0x03, 0xDE, 0x03, 0x70, 0x00, 0x70, 0x00, 0xDE, 0x03, 0x8E, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char X
        0x1E, 0x00, 0x3E, 0x02, 0xE0, 0x03, 0xE0, 0x03, 0x3E, 0x02, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char Y
        0x0E, 0x03, 0xC6, 0x03, 0xE2, 0x02, 0x3A, 0x02, 0x1E, 0x02, 0x06, 0x03, 0x86, 0x03, 0x00, 0x00,  // Code for char Z
        0x00, 0x00, 0x00, 0x00, 0xFE, 0x03, 0xFE, 0x03, 0x02, 0x02, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00,  // Code for char [
        0x0C, 0x00, 0x18, 0x00, 0x30, 0x00, 0x60, 0x00, 0xC0, 0x00, 0x80, 0x01, 0x00, 0x03, 0x00, 0x00,  // Code for char BackSlash
        0x00, 0x00, 0x00, 0x00, 0x02, 0x02, 0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char ]
        0x08, 0x00, 0x0C, 0x00, 0x06, 0x00, 0x03, 0x00, 0x06, 0x00, 0x0C, 0x00, 0x08, 0x00, 0x00, 0x00,  // Code for char ^
        0x00, 0x04, 0x00, 0x04, 0x00, 0x04, 0x00, 0x04, 0x00, 0x04, 0x00, 0x04, 0x00, 0x04, 0x00, 0x04,  // Code for char _
        0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x07, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char `
        0x80, 0x01, 0xD0, 0x03, 0x50, 0x02, 0x50, 0x02, 0xF0, 0x01, 0xE0, 0x03, 0x00, 0x02, 0x00, 0x00,  // Code for char a
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x01, 0x10, 0x02, 0x10, 0x02, 0xF0, 0x03, 0xE0, 0x01, 0x00, 0x00,  // Code for char b
        0xE0, 0x01, 0xF0, 0x03, 0x10, 0x02, 0x10, 0x02, 0x30, 0x03, 0x20, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char c
        0xE0, 0x01, 0xF0, 0x03, 0x10, 0x02, 0x12, 0x02, 0xFE, 0x01, 0xFE, 0x03, 0x00, 0x02, 0x00, 0x00,  // Code for char d
        0xE0, 0x01, 0xF0, 0x03, 0x50, 0x02, 0x50, 0x02, 0x70, 0x03, 0x60, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char e
        0x20, 0x02, 0xFC, 0x03, 0xFE, 0x03, 0x22, 0x02, 0x26, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char f
        0xE0, 0x04, 0xF0, 0x0D, 0x10, 0x09, 0x10, 0x09, 0xE0, 0x0F, 0xF0, 0x07, 0x10, 0x00, 0x00, 0x00,  // Code for char g
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x20, 0x00, 0x10, 0x00, 0xF0, 0x03, 0xE0, 0x03, 0x00, 0x00,  // Code for char h
        0x00, 0x00, 0x10, 0x02, 0x10, 0x02, 0xF6, 0x03, 0xF6, 0x03, 0x00, 0x02, 0x00, 0x02, 0x00, 0x00,  // Code for char i
        0x00, 0x06, 0x00, 0x0E, 0x10, 0x08, 0x10, 0x08, 0xF6, 0x0F, 0xF6, 0x07, 0x00, 0x00, 0x00, 0x00,  // Code for char j
        0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x40, 0x00, 0xE0, 0x00, 0xB0, 0x03, 0x10, 0x03, 0x00, 0x00,  // Code for char k
        0x00, 0x00, 0x02, 0x02, 0x02, 0x02, 0xFE, 0x03, 0xFE, 0x03, 0x00, 0x02, 0x00, 0x02, 0x00, 0x00,  // Code for char l
        0xF0, 0x03, 0xF0, 0x03, 0x10, 0x00, 0xF0, 0x01, 0x10, 0x00, 0xF0, 0x03, 0xE0, 0x03, 0x00, 0x00,  // Code for char m
        0xF0, 0x03, 0xF0, 0x03, 0x10, 0x00, 0x10, 0x00, 0xF0, 0x03, 0xE0, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char n
        0xE0, 0x01, 0xF0, 0x03, 0x10, 0x02, 0x10, 0x02, 0xF0, 0x03, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char o
        0x10, 0x08, 0xF0, 0x0F, 0xE0, 0x0F, 0x10, 0x0A, 0x10, 0x02, 0xF0, 0x03, 0xE0, 0x01, 0x00, 0x00,  // Code for char p
        0xE0, 0x01, 0xF0, 0x03, 0x10, 0x02, 0x10, 0x0A, 0xE0, 0x0F, 0xF0, 0x0F, 0x10, 0x08, 0x00, 0x00,  // Code for char q
        0x10, 0x02, 0xF0, 0x03, 0xF0, 0x03, 0x40, 0x02, 0x30, 0x00, 0x70, 0x00, 0x60, 0x00, 0x00, 0x00,  // Code for char r
        0x20, 0x01, 0x70, 0x03, 0x50, 0x02, 0x90, 0x02, 0xB0, 0x03, 0x20, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char s
        0x10, 0x00, 0xF8, 0x01, 0xFC, 0x03, 0x10, 0x02, 0x10, 0x03, 0x10, 0x01, 0x00, 0x00, 0x00, 0x00,  // Code for char t
        0xF0, 0x01, 0xF0, 0x03, 0x00, 0x02, 0x00, 0x02, 0xF0, 0x01, 0xF0, 0x03, 0x00, 0x02, 0x00, 0x00,  // Code for char u
        0xF0, 0x00, 0xF0, 0x01, 0x00, 0x03, 0x00, 0x03, 0xF0, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char v
        0xF0, 0x00, 0xF0, 0x03, 0x00, 0x03, 0xC0, 0x00, 0x00, 0x03, 0xF0, 0x03, 0xF0, 0x00, 0x00, 0x00,  // Code for char w
        0x10, 0x02, 0x30, 0x03, 0xE0, 0x01, 0xC0, 0x00, 0xE0, 0x01, 0x30, 0x03, 0x10, 0x02, 0x00, 0x00,  // Code for char x
        0x00, 0x08, 0xF0, 0x08, 0xF0, 0x09, 0x00, 0x0D, 0x00, 0x07, 0xF0, 0x03, 0xF0, 0x00, 0x00, 0x00,  // Code for char y
        0x30, 0x03, 0x90, 0x03, 0x90, 0x02, 0x50, 0x02, 0x70, 0x02, 0x30, 0x03, 0x00, 0x00, 0x00, 0x00,  // Code for char z
        0x20, 0x00, 0x70, 0x00, 0xDC, 0x01, 0x8E, 0x03, 0x02, 0x02, 0x02, 0x02, 0x00, 0x00, 0x00, 0x00,  // Code for char {
        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDE, 0x03, 0xDE, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char |
        0x02, 0x02, 0x02, 0x02, 0x8E, 0x03, 0xDC, 0x01, 0x70, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00,  // Code for char }
        0x0C, 0x00, 0x0E, 0x00, 0x02, 0x00, 0x06, 0x00, 0x0C, 0x00, 0x08, 0x00, 0x0E, 0x00, 0x02, 0x00,  // Code for char ~
        0xC0, 0x01, 0xE0, 0x01, 0x30, 0x01, 0x18, 0x01, 0x30, 0x01, 0xE0, 0x01, 0xC0, 0x01, 0x00, 0x00   // Code for char 
        };

/* fonts format:
 * for example with a 24x2
 * c0r0,c0r1,c0r2,c1r0,c1r1,c1r2
 * c=column, r=row
 */

const uint8_t* const fontlib[] PROGMEM = {
		Terminal4x6,
		Terminal6x8,
		Terminal8x12
};

#endif /* TFT144_FONTS_H_ */
